Bug 986677 - Recompile pvm with -fpic for ARM
Recompile pvm with -fpic for ARM
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: pvm (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ken Dreyer
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ARMTracker
  Show dependency treegraph
 
Reported: 2013-07-21 09:46 EDT by Nicolas Chauvet (kwizart)
Modified: 2015-06-29 09:34 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 08:06:50 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nicolas Chauvet (kwizart) 2013-07-21 09:46:05 EDT
Description of problem:
While building transcode that make use of pvm, I have a link time error.

Version-Release number of selected component (if applicable):
pvm-3.4.6-4.fc19

How reproducible:
always

Steps to Reproduce:
1. build a componenet using pvm on ARM
2.
3.

Actual results:
Build failure:

/usr/bin/ld: /usr/share/pvm3/lib/LINUXARM/libpvm3.a(lpvmcat.o): relocation R_ARM_MOVW_ABS_NC against `a local symbol' can not be used when making a shared object; recompile with -fPIC

Expected results:
transcode currently build with on primary arches with pvm.

Additional info:
There is a need to ensure pvm is compiled with -fpic on ARM, even if only a static archive is made.
Comment 1 Richard Shaw 2013-07-21 12:19:07 EDT
Currently pvm is built with -fPIC only for x86_64, is the most direct fix to add aarch64 to the conditional?
Comment 2 Nicolas Chauvet (kwizart) 2013-07-22 03:43:18 EDT
Thx for your answear.
I think aarch64 may be added too, but the bug I've experienced was with armv7hl.
I should manage to do a local test to commit anything.
Comment 3 Nicolas Chauvet (kwizart) 2013-07-22 04:05:39 EDT
I mean, test before to commit anything
Comment 4 Fedora End Of Life 2013-09-16 10:41:09 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 5 Nicolas Chauvet (kwizart) 2013-10-17 12:08:43 EDT
I've tried to dig into this but failed to understand how I could apply the -fPIC CFLAGS to the arm build.

Do you have a patch I would test ? (even an arm-koji scratch build for f19) ?
Thx
Comment 6 Richard Shaw 2014-07-07 11:34:34 EDT
Funny you update this bug right now. I'm attempting to rebuild transcode without PVM as PVM is no longer maintained and violates the packaging guidelines in very bad ways. I doubt many if any users are making use of this capability so my preference would be to retire PVM if not remove it.

Do you have a preference?
Comment 7 Peter Robinson 2014-09-23 13:38:51 EDT
(In reply to Richard Shaw from comment #1)
> Currently pvm is built with -fPIC only for x86_64, is the most direct fix to
> add aarch64 to the conditional?

why only x86_64? Basically anything that uses generic build flags for -fPIC across all arches will be broken on anything not doing arch specific bits.
Comment 8 Richard Shaw 2014-09-23 13:57:57 EDT
(In reply to Peter Robinson from comment #7)
> (In reply to Richard Shaw from comment #1)
> > Currently pvm is built with -fPIC only for x86_64, is the most direct fix to
> > add aarch64 to the conditional?
> 
> why only x86_64? Basically anything that uses generic build flags for -fPIC
> across all arches will be broken on anything not doing arch specific bits.

No clue. It is as inherited. My question is still, do we need/want PVM in Fedora? It's pretty much unmaintained as far as I can tell and the packaging build is horrendous. It copies everything to the buildroot and compiles in place.
Comment 9 Peter Robinson 2014-09-23 19:17:05 EDT
> No clue. It is as inherited. My question is still, do we need/want PVM in
> Fedora? It's pretty much unmaintained as far as I can tell and the packaging
> build is horrendous. It copies everything to the buildroot and compiles in
> place.

Personally I don't think it makes sense to keep it then.
Comment 10 Fedora End Of Life 2015-05-29 05:12:15 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 11 Fedora End Of Life 2015-06-29 08:06:50 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.